## pure-xml-0.7.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-xml-$(version)
version = 0.7

# compiler flags -- these can be overridden from the command line if needed,
# as well as CPPFLAGS, LDFLAGS and LIBS
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)

ifeq ($(DLL),.dylib)
dllname = -install_name "$(libdir)/pure/$@"
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS) $(LIBS)

# Compilation options to link with XML/XSLT.
ifeq ($(DLL),.dll)
XMLLIBS = -lxslt -lxml2
XMLFLAGS = 
else
XMLLIBS = $(shell xml2-config --libs) $(shell xslt-config --libs)
XMLFLAGS = $(shell xml2-config --cflags)
endif

MOD_CFLAGS += $(XMLFLAGS)
MOD_LDFLAGS += $(XMLLIBS)

DISTFILES = COPYING COPYING.LESSER Makefile README \
xml.c xml.pure debian/* examples/*.pure examples/*.xml examples/*.xsl
SEDFILES = README

all: xml$(DLL)

xml$(DLL): xml.c
	$(CC) $(shared) $(dllname) -o $@ $(MOD_CFLAGS) $< $(MOD_LDFLAGS)

clean:
	rm -Rf *$(DLL)* *~ *.a *.o

datadir = $(libdir)/pure

install:
	test -d "$(DESTDIR)$(datadir)" || mkdir -p "$(DESTDIR)$(datadir)"
	cp xml.pure xml$(DLL) "$(DESTDIR)$(datadir)"

uninstall:
	rm -f "$(DESTDIR)$(datadir)/xml.pure" "$(DESTDIR)$(datadir)/xml$(DLL)"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/examples
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

# Generate the documentation.

sources = xml.pure

pure-xml.txt: README $(sources)
	pure-doc -is $(sources) | cat README - > $@

=== debian/changelog ===
pure-xml (0.6-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 00:22:17 +0200

pure-xml (0.6-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 21:46:30 +0200

=== debian/control ===
Source: pure-xml
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libxml2-dev, libxslt1-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides an interface to the libxml2 and libxslt
 libraries from the GNOME project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_compress:
	dh_compress -X.pure -X.xml -X.xsl

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-xml-(.*)\.tar\.gz
